NamespaceImpl (Xerces2 Implementation)
Date: 2024-01-12

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.stax.events
Class NamespaceImpl

    java.lang.Object
      org.apache.xerces.stax.events.AttributeImpl
          org.apache.xerces.stax.events.NamespaceImpl

All Implemented Interfaces:
  javax.xml.stream.events.Attribute, javax.xml.stream.events.Namespace, javax.xml.stream.events.XMLEvent, javax.xml.stream.XMLStreamConstants

    public final class NamespaceImpl

extends AttributeImpl
implements javax.xml.stream.events.Namespace

Version:
  $Id: NamespaceImpl.java 730477 2008-12-31 20:57:07Z mrglavas $
Author:
  Lucian Holland

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`NamespaceImpl(java.lang.String prefix, java.lang.String namespaceURI, javax.xml.stream.Location location)`

Method Summary
`javax.xml.stream.events.Characters` | `asCharacters()`
`javax.xml.stream.events.EndElement` | `asEndElement()`
`javax.xml.stream.events.StartElement` | `asStartElement()`
`int` | `getEventType()`
`javax.xml.stream.Location` | `getLocation()`
`java.lang.String` | `getNamespaceURI()`
`java.lang.String` | `getPrefix()`
`javax.xml.namespace.QName` | `getSchemaType()`
`boolean` | `isAttribute()`
`boolean` | `isCharacters()`
`boolean` | `isDefaultNamespaceDeclaration()`
`boolean` | `isEndDocument()`
`boolean` | `isEndElement()`
`boolean` | `isEntityReference()`
`boolean` | `isNamespace()`
`boolean` | `isProcessingInstruction()`
`boolean` | `isStartDocument()`
`boolean` | `isStartElement()`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.xerces.stax.events.AttributeImpl
`getDTDType, getName, getValue, isSpecified, writeAsEncodedUnicode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.stream.events.Attribute
`getDTDType, getName, getValue, isSpecified`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Constructor Detail

### NamespaceImpl

    public NamespaceImpl(java.lang.String prefix,
                         java.lang.String namespaceURI,
                         javax.xml.stream.Location location)

Parameters:
  `location` -
  `schemaType` -

Method Detail

### getPrefix

    public java.lang.String getPrefix()

  Specified by:
    `getPrefix` in interface `javax.xml.stream.events.Namespace`
  See Also:
    `Namespace.getPrefix()`

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `javax.xml.stream.events.Namespace`
  See Also:
    `Namespace.getNamespaceURI()`

### isDefaultNamespaceDeclaration

    public boolean isDefaultNamespaceDeclaration()

  Specified by:
    `isDefaultNamespaceDeclaration` in interface `javax.xml.stream.events.Namespace`
  See Also:
    `Namespace.isDefaultNamespaceDeclaration()`

### getEventType

    public final int getEventType()

  Specified by:
    `getEventType` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.getEventType()`

### getLocation

    public final javax.xml.stream.Location getLocation()

  Specified by:
    `getLocation` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.getLocation()`

### isStartElement

    public final boolean isStartElement()

  Specified by:
    `isStartElement` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isStartElement()`

### isAttribute

    public final boolean isAttribute()

  Specified by:
    `isAttribute` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isAttribute()`

### isNamespace

    public final boolean isNamespace()

  Specified by:
    `isNamespace` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isNamespace()`

### isEndElement

    public final boolean isEndElement()

  Specified by:
    `isEndElement` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isEndElement()`

### isEntityReference

    public final boolean isEntityReference()

  Specified by:
    `isEntityReference` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isEntityReference()`

### isProcessingInstruction

    public final boolean isProcessingInstruction()

  Specified by:
    `isProcessingInstruction` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isProcessingInstruction()`

### isCharacters

    public final boolean isCharacters()

  Specified by:
    `isCharacters` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isCharacters()`

### isStartDocument

    public final boolean isStartDocument()

  Specified by:
    `isStartDocument` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isStartDocument()`

### isEndDocument

    public final boolean isEndDocument()

  Specified by:
    `isEndDocument` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isEndDocument()`

### asStartElement

    public final javax.xml.stream.events.StartElement asStartElement()

  Specified by:
    `asStartElement` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.asStartElement()`

### asEndElement

    public final javax.xml.stream.events.EndElement asEndElement()

  Specified by:
    `asEndElement` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.asEndElement()`

### asCharacters

    public final javax.xml.stream.events.Characters asCharacters()

  Specified by:
    `asCharacters` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.asCharacters()`

### getSchemaType

    public final javax.xml.namespace.QName getSchemaType()

  Specified by:
    `getSchemaType` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.getSchemaType()`

### toString

    public final java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.